<%- include('../../partials/header.ejs')%>

<body>
    <%- include('../../partials/navbar.ejs')%>

    <div class="container">
        <hr>
        <div class="card">
            <div class="card-header">
                <h2>Novo Artigo</h2>
            </div>
            <div class="card-body">
                <form method="POST" action="/articles/save">
                    <label>Título</label>
                    <input class="form-control" type="text" name="title" placeholder="Defina o título do artigo">
                    <br>
                    <label>Categoria</label>
                    <select class="form-control" name="categorySelected">
                        <% categories.forEach((c) => { %>
                            <option value="<%= c.id %>"><%= c.title %></option>
                        <% })%>
                    </select>
                    <br>
                    <textarea class="form-control" name="bodyCategory" id="article" placeholder="Escreva seu artigo aqui"></textarea>
                    <br>
                    <button class="btn btn-success">Salvar</button>
                </form>
            </div>
        </div>
    </div>
</body>

<%- include('../../partials/footer.ejs')%>

<script src="/tinymce/tinymce.min.js"></script>
<script>
    tinymce.init({
        language: 'pt_PT',
        selector: "#article",
        plugins: [
            'advlist autolink link image lists print preview hr searchreplace wordcount fullscreen insertdatetime media save paste emoticons'
        ]
    });
</script>